version: "3.2"

services:
  database:
    container_name: database
    image: 'postgres:latest'
    env_file:
      - "../.env"
    volumes:
      - ./db-data/:/var/lib/postgresql/data/
      # - ./init.sql:/docker-entrypoint-initdb.d/init.sql
  
  pgadmin:
    image: dpage/pgadmin4
    container_name: pgadmin
    ports:
      - 5433:80
    env_file:
      - "../.env"
    depends_on:
      - database
    volumes:
      - ./pgadmin-data/:/var/lib/pgadmin/
  
